Commit Diff


commit - c34b91d8ddd23c0f04da949b4f3b592ed081c729
commit + 0bd3fb88b2c2a433a68c82c3eaba2fd13b8fcd0b
blob - cfa1eccc81ea1a6387f936739d614543bdf379c4
blob + 765fb3964cfd5c19d2ac7e1ec7fd288334e6e56a
--- contrib/platformtest.sh
+++ contrib/platformtest.sh
@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # ngIRCd -- The Next Generation IRC Daemon
-# Copyright (c)2001-2011 Alexander Barton (alex@barton.de) and Contributors
+# Copyright (c)2001-2013 Alexander Barton (alex@barton.de) and Contributors
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -108,12 +108,16 @@ if [ -r "Makefile" ]; then
 			COMPILER="gcc $COMPILER"
 		fi
 	else
-		case "$CC" in
-		  gcc*)
+		$CC --version 2>&1 | grep -i "LLVM" >/dev/null
+		if [ $? -eq 0 ]; then
+			COMPILER=$($CC --version 2>/dev/null | head -1 \
+			  | cut -d'(' -f1 | sed -e 's/version //g' \
+			  | sed -e 's/Apple /A-/g')
+		fi
+		if [ "$COMPILER" = "unknown" ]; then
 			v="`$CC --version 2>/dev/null | head -1`"
-			[ -n "$v" ] && COMPILER="gcc $v"
-			;;
-		esac
+			[ -n "$v" ] && COMPILER="$v"
+		fi
 	fi
 fi